deb-scrub-obsolete(1)

NAME
deb-scrub-obsolete - scrub a Debian package of no longer necessary configuration

SYNOPSIS
deb-scrub-obsolete [-h] [--no-update-changelog] [--version] [--upgrade-release=RELEASE]

DESCRIPTION
Scrub a Debian source package from unnecessary versioned depends, conflicts and maintscripts.

Specifically, it make the following categories of changes:

•   obsolete maintscript entries for upgrades from versions older than that in $compat_release

•   depends on packages that are essential since $compat_release

•   build-depends on packages that are build-essential since $compat_release

•   replacing dependencies on "transitional dummy packages" with the real thing (if satisfiable since $compat_release)

•   conflicts with packages that are gone since before $compat_release

•   version constraints in build-depends or depends that are met by the package in $compat_release

  optional arguments:

-h, --help
    show this help message and exit

--no-update-changelog
    Whether to update the changelog.

--version
    show program's version number and exit

--upgrade-release=RELEASE
    Don't remove any constraints that are necessary for upgrading from RELEASE or newer releases. This can either be a codename ("bookworm"), or an alias ("unstable", "old-old-stable"). For a full list options, see distro-info(1).

--compat-release=RELEASE
    Don't remove any constraints that are necessary for building on RELEASE or newer releases. This can either be a codename ("bookworm"), or an alias ("unstable", "old-old-stable"). For a full list options, see distro-info(1).

--identity
    Print the identity (name and e-mailaddress) that apply-multiarch-hints will use when committing changes, and exit.

--debug
    Print debugging information

--keep-minimum-depends-versions
    Keep minimum version dependencies, even when unnecessary

ENVIRONMENT

DEB_UPDATE_CHANGELOG
    Used to control whether the changelog should be updated, depending on whether it is set to "leave", "update" or "auto". The --update-changelog and --no-update-changelog arguments override this.

SEE ALSO
lintian-brush.conf(5) lintian-brush(1)

AUTHORS
Jelmer Vernooij <jelmer@debian.org>